#include <bits/stdc++.h>
using namespace std;
int main() {
    string s;
    long long a[100000],b[100000];
    long long d,n;
    string s;
    d = 0;
    s = ' ';
    cin >> n;

    if (n & 2 == 0)  {
        for (int i,1 to n % 2,++i);
    }



    return(0);
}